local lint = require("lint")

lint.linters.mypy.args = {
	function()
		local virtual = os.getenv("VIRTUAL_ENV") or os.getenv("CONDA_PREFIX") or "/usr"
		return "--python-executable", virtual .. "/bin/python3"
	end,
}

lint.linters_by_ft = {
	python = { "mypy", "ruff" },
}

local lint_augroup = vim.api.nvim_create_augroup("lint", { clear = true })

vim.api.nvim_create_autocmd({ "BufEnter", "BufWritePost", "InsertLeave" }, {
	group = lint_augroup,
	callback = function()
		lint.try_lint()
	end,
})
